-- tabstops -> 4 spaces
vim.o.tabstop = 4
vim.o.expandtab = true
vim.o.softtabstop = 4
vim.o.shiftwidth = 4

-- disable netrw in favour of telescope 
vim.g.loaded_netrw = 1
vim.g.loaded_netrwPlugin = 1

-- colours
vim.o.background = "light"
vim.opt.termguicolors = true

-- line numbers
vim.opt.number = true
vim.opt.relativenumber = true
vim.opt.signcolumn = "number"

-- allow virtual lines for lsp inline warnings/errors
vim.diagnostic.config({ virtual_lines = true })
vim.diagnostic.config({ virtual_text = true })

-- custom keymaps
-- keymaps for plugins are defined in the plugin config.

-- keep neovide-specifics neovide-specific
if vim.g.neovide then
    -- disable cursor animations
    vim.g.neovide_position_animation_length = 0
    vim.g.neovide_cursor_animation_length = 0.00
    vim.g.neovide_cursor_trail_size = 0
    vim.g.neovide_cursor_animate_in_insert_mode = false
    
    vim.g.neovide_cursor_animate_command_line = false
    vim.g.neovide_scroll_animation_far_lines = 0
    vim.g.neovide_scroll_animation_length = 0.00
end
